Subject: Re: small inter-operability patch for vim 6.1.2 for Cygwin
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 22 Apr 2002 21:14:32 +0200

On Mon, Apr 22, 2002 at 03:08:07PM -0400, Chris Metcalf wrote:
> > Or better: Isn't there a cygwin trick for this already?
> 
> Well, "cygpath -u PATH" will convert a Windows path to a Unix path.  
> However, this means you can't just set $EDITOR to a simple executable,
> but have to walk it through a script (or dedicated binary) first.
> Also, it just seems wrong that vim doesn't handle a Windows path
> plausibly, when almost all of the other Cygwin tools do.

However, I don't see the problem in using `cygpath'.  It's designed
for that purpose.  I'm not quite sure if it makes sense to tweak
vim if there are already tools which do what you want.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/